Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions | Protected Attributes
Lucene::SpanFilterResult Class Reference

The results of a SpanQueryFilter. Wraps the BitSet and the position information from the SpanQuery. More...

`#include <SpanFilterResult.h>`

Inheritance diagram for Lucene::SpanFilterResult:

## Public Member Functions

| SpanFilterResult (const DocIdSetPtr &docIdSet, Collection< PositionInfoPtr > positions)
virtual | ~SpanFilterResult ()
virtual String | getClassName ()
boost::shared_ptr< SpanFilterResult > | shared_from_this ()
Collection< PositionInfoPtr > | getPositions ()
| The first entry in the array corresponds to the first "on" bit. Entries are increasing by document order. More...
DocIdSetPtr | getDocIdSet ()
| Returns the docIdSet. More...
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()

## Protected Attributes

DocIdSetPtr | docIdSet
Collection< PositionInfoPtr > | positions
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Detailed Description

The results of a SpanQueryFilter. Wraps the BitSet and the position information from the SpanQuery.

## Constructor & Destructor Documentation

Lucene::SpanFilterResult::SpanFilterResult | ( | const DocIdSetPtr & | docIdSet,
|  | Collection< PositionInfoPtr > | positions
| ) |  |

Parameters

  docIdSet | The DocIdSet for the Filter
  positions | A List of PositionInfo objects

virtual Lucene::SpanFilterResult::~SpanFilterResult | ( |  | ) |

virtual

## Member Function Documentation

static String Lucene::SpanFilterResult::_getClassName | ( |  | ) |

inline static

virtual String Lucene::SpanFilterResult::getClassName | ( |  | ) |

inline virtual

DocIdSetPtr Lucene::SpanFilterResult::getDocIdSet | ( |  | ) |

Returns the docIdSet.

Collection<PositionInfoPtr> Lucene::SpanFilterResult::getPositions | ( |  | ) |

The first entry in the array corresponds to the first "on" bit. Entries are increasing by document order.

Returns
  A List of PositionInfo objects

boost::shared_ptr< SpanFilterResult > Lucene::SpanFilterResult::shared_from_this | ( |  | ) |

inline

## Field Documentation

DocIdSetPtr Lucene::SpanFilterResult::docIdSet

protected

Collection<PositionInfoPtr> Lucene::SpanFilterResult::positions

protected

The documentation for this class was generated from the following file:

- SpanFilterResult.h

clucene.sourceforge.net